Package org.multiverse.api.exceptions

## Class IllegalTxnStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.TxnExecutionException
        - - org.multiverse.api.exceptions.IllegalTxnStateException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `AbortOnlyException`, `DeadTxnException`, `PreparedTxnException`, `ReadonlyException`

      public class IllegalTxnStateException
      extends TxnExecutionException

  A `TxnExecutionException` thrown when an operation is executed on a `Txn` when it is not in a valid state for that operation.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IllegalTxnStateException()` | Creates a new IllegalTxnStateException.
    `IllegalTxnStateException​(String message)` | Creates a new IllegalTxnStateException with the provided message.
    `IllegalTxnStateException​(String message, Throwable cause)` | Creates a new IllegalTxnStateException with the provided message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalTxnStateException

          public IllegalTxnStateException()

      Creates a new IllegalTxnStateException.

    - #### IllegalTxnStateException

          public IllegalTxnStateException​(String message)

      Creates a new IllegalTxnStateException with the provided message.
      Parameters:
        `message` - the message of the exception.

    - #### IllegalTxnStateException

          public IllegalTxnStateException​(String message,
                                          Throwable cause)

      Creates a new IllegalTxnStateException with the provided message and cause.
      Parameters:
        `message` - the message of the exception.
        `cause` - the cause of the exception.